Creates a General Ledger
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
GeneralLedgerRequest
| Property | Description | Type | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| generalLedgerCode | Unique identifier for the General Ledger Required Must be between 0 and 255 characters | string | |||||||||
| subCodes | List of 20 sub codes and their values Required | GLSubCodeChildRequest[] | |||||||||
|
GLSubCodeChildRequest properties
|
|||||||||||
Example Request Body
{ "generalLedgerCode": "string", "subCodes": [
{ "subCodeIndex": 1, "value": "string"
}
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
GeneralLedgerResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| generalLedgerCode | Unique code for the general ledger | string | ||||||||||||
| generalLedgerId | General Ledger Identifier | integer (int32) | ||||||||||||
| subCodes | List of 20 subCodes with their index, name, and value | GLSubCodeChild[] | ||||||||||||
|
GLSubCodeChild properties
|
||||||||||||||
Example Response
{ "generalLedgerCode": "string", "generalLedgerId": 1, "subCodes": [
{ "subCodeIndex": "string", "subCodeName": "string", "value": "string"
}
]
}